Package org.jboss.logmanager.filters

# Class AcceptAllFilter

java.lang.Object
org.jboss.logmanager.filters.AcceptAllFilter

All Implemented Interfaces:
  `Filter`

public final class AcceptAllFilter extends Object implements Filter
An accept-all filter.

## Method Summary

Modifier and Type
Method
Description
`static AcceptAllFilter`
`getInstance()`
Get the filter instance.
`boolean`
`isLoggable(LogRecord record)`
Always returns `true`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isLoggable

public boolean isLoggable(LogRecord record)
Always returns `true`.

Specified by:
  `isLoggable` in interface `Filter`
Parameters:
  `record` - ignored
Returns:
  `true`

### getInstance

public static AcceptAllFilter getInstance()
Get the filter instance.

Returns:
  the filter instance